sylius_twig_hooks:
    hooks:
        'sylius_admin.promotion_coupon.create.content':
            form:
                component: 'sylius_admin:promotion_coupon:form'
                props:
                    resource: '@=_context.resource'
                    form: '@=_context.form'
                    template: '@SyliusAdmin/shared/crud/common/content/form.html.twig'
                configuration:
                    render_rest: false
                priority: 0

        'sylius_admin.promotion_coupon.create.content.header':
            breadcrumbs:
                template: '@SyliusAdmin/promotion_coupon/form/content/create/header/breadcrumbs.html.twig'
                priority: 0

        'sylius_admin.promotion_coupon.create.content.header.title_block':
            title:
                template: '@SyliusAdmin/shared/crud/common/content/header/title_block/title.html.twig'
                configuration:
                    title: 'sylius.ui.new_promotion_coupon'
                priority: 0

        'sylius_admin.promotion_coupon.create.content.form':
            sections:
                template: '@SyliusAdmin/promotion_coupon/form/sections.html.twig'
                priority: 0

        'sylius_admin.promotion_coupon.create.content.form.sections#left':
            general:
                template: '@SyliusAdmin/promotion_coupon/form/sections/general.html.twig'
                priority: 0
        
        'sylius_admin.promotion_coupon.create.content.form.sections#right':
            configuration:
                template: '@SyliusAdmin/promotion_coupon/form/sections/configuration.html.twig'
                priority: 0

        'sylius_admin.promotion_coupon.create.content.form.sections.general':
            default:
                enabled: false
            code:
                template: '@SyliusAdmin/promotion_coupon/form/sections/general/code.html.twig'
                priority: 0

        'sylius_admin.promotion_coupon.create.content.form.sections.configuration':
            usage_limit:
                template: '@SyliusAdmin/promotion_coupon/form/sections/configuration/usage_limit.html.twig'
                priority: 300
            per_customer_usage_limit:
                template: '@SyliusAdmin/promotion_coupon/form/sections/configuration/per_customer_usage_limit.html.twig'
                priority: 200
            expires_at:
                template: '@SyliusAdmin/promotion_coupon/form/sections/configuration/expires_at.html.twig'
                priority: 100
            reusable_from_cancelled_orders:
                template: '@SyliusAdmin/promotion_coupon/form/sections/configuration/reusable_from_cancelled_orders.html.twig'
                priority: 0
